<?php

declare(strict_types=1);

namespace Seka\Portal\Modul\Terminy\Services\External\Calendar;

use Seka\Portal\Modul\Terminy\Entities\Dtos\UdalostDTO;

/**
 *
 */
interface CalendarService
{
    /**
     * @param \Seka\Portal\Modul\Terminy\Entities\Dtos\UdalostDTO $udalost
     */
    public function createEvent(UdalostDTO $udalost): void;

    /**
     * @param \Seka\Portal\Modul\Terminy\Entities\Dtos\UdalostDTO $udalost
     */
    public function updateEvent(UdalostDTO $udalost): void;

    /**
     * @param \Seka\Portal\Modul\Terminy\Entities\Dtos\UdalostDTO $udalost
     */
    public function deleteEvent(UdalostDTO $udalost): void;
}
